h37000
s 00037/00000/00000
d D 1.1 82/08/03 08:48:54 cecily 1 0
e
u
U
t
T
I 1
ptrace	title	unix c svc library -- ptrace

.ptrace	equ	26

	entry	ptrace
r0	equ	0
rf	equ	15
sp	equ	7
*
	impur
ptrcsvc	equ	*
	svc	0,.ptrace
pid	dc	a(*-*)
addr	dc	a(*-*)
request	dc	a(*-*)
*
	pure
ptrace	equ	*
	l	r0,adc(sp)	pid
	st	r0,pid
	l	r0,2*adc(sp)	addr
	st	r0,addr
	l	r0,0(sp)	request
	st	r0,request
	l	r0,3*adc(sp)	data
	svc	0,0
	dc	a(ptrcsvc)
	bncr	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
